.swipe-fav-container-bc {
  position: absolute;
  top: 50%;
  width: 40px;
  height: 40px;
  border-radius: 5px;
  background: rgba(var(--b-sc), .1);
  display: flex;
  align-items: center;
  justify-content: center;
  margin-top: -20px;
  z-index: 2;
  opacity: 1
}

[dir=ltr] .swipe-fav-container-bc {
  right: 0
}

[dir=rtl] .swipe-fav-container-bc {
  left: 0
}

[dir=ltr] .swipe-fav-container-bc.animated {
  animation: swipe-fav-container-bc-left 2s ease
}

[dir=rtl] .swipe-fav-container-bc.animated {
  animation: swipe-fav-container-bc-right 2s ease
}

.swipe-fav-container-bc>.c-info-icon-bc {
  font-size: 16px;
  line-height: 1;
  width: auto;
  color: rgba(var(--b-sc), .8)
}

.swipe-fav-container-bc>.c-info-icon-bc:after {
  content: none
}

.swipe-fav-container-bc>.c-info-icon-bc.bc-i-favorite {
  animation: favorit-animation var(--default-transition-duration)
}

.swipe-fav-container-bc>.c-info-icon-bc.bc-i-star {
  animation: favorit-animation-active var(--default-transition-duration)
}

.sw-container-bc {
  width: 100%;
  height: 100%;
  position: relative;
  z-index: 5
}

[dir=ltr] .sw-container-bc.animated {
  animation: swipe-container-bc-left 2s ease
}

[dir=rtl] .sw-container-bc.animated {
  animation: swipe-container-bc-right 2s ease
}

@keyframes favorit-animation {
  0% {
    transform: scale(0)
  }

  to {
    transform: scale(1)
  }
}

@keyframes favorit-animation-active {
  0% {
    transform: scale(0)
  }

  to {
    transform: scale(1)
  }
}

@keyframes swipe-container-bc-left {
  0% {
    transform: translate(0)
  }

  50% {
    transform: translate(-83px)
  }

  to {
    transform: translate(0)
  }
}

@keyframes swipe-container-bc-right {
  0% {
    transform: translate(0)
  }

  50% {
    transform: translate(83px)
  }

  to {
    transform: translate(0)
  }
}

@keyframes swipe-fav-container-bc-left {
  0% {
    transform: translate(0);
    opacity: 0
  }

  50% {
    transform: translate(-23px);
    opacity: 1
  }

  80% {
    opacity: 0
  }

  to {
    transform: translate(0);
    opacity: 0
  }
}

@keyframes swipe-fav-container-bc-right {
  0% {
    transform: translate(0);
    opacity: 0
  }

  50% {
    transform: translate(23px);
    opacity: 1
  }

  80% {
    opacity: 0
  }

  to {
    transform: translate(0);
    opacity: 0
  }
}